using System;
using System.Collections.Generic;
using System.Text;

namespace InterfaceSample
{
    public class Employee
    {
        private string id="";
        private string name="";

        public Employee(string id, string name)
        {
            ID = id;
            Name = name;
        }

        public string ID
        {
            get
            {
                return id;
            }
            set
            {
                if(value!= null){
                    id=value;
                }
            }
        }

        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                if (value != null) {
                    name = value;
                }
            }
        }

        public override string ToString()
        {
            return "Employee ID = " + id + ", Name = " + name;
        }
    }
}
